##
##  gjrand.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg   4.3.0
%define       V_dist   4.3.0
%define       V_subdir 4.3.0.0

#   package information
Name:         gjrand
Summary:      Pseudo Random Number Generator (PRNG) Library
URL:          http://www.gjrand.org/
Vendor:       Geronimo Jones
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Cryptography
License:      GPL
Version:      %{V_opkg}
Release:      20191028

#   list of sources
Source0:      http://download.sourceforge.net/gjrand/gjrand.%{V_dist}.tar.bz2
Patch0:       gjrand.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The gjrand project is about pseudo-random number generation for the
    purpose of simulations, Monte-Carlo integration, computer games and
    the like. It is intended that statistical properties be extremely
    good for such purposes. However, gjrand is not suitable as a high
    security random number generator for cryptography, the state lottery
    draw, etc.

%track
    prog gjrand = {
        version   = %{version}
        url       = http://sourceforge.net/projects/gjrand/files/
        regex     = gjrand.(__VER__)\.tar\.bz2
    }

%prep
    %setup -q -n gjrand.%{V_subdir}
    %patch -p0

%build
    %{l_shtool} subst \
        -e 's;gcc;%{l_cc};g' \
        -e 's;-Wall -O2;%{l_cflags -O};g' \
        compiler
    ( cd src && sh -x ./compile
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        src/gjrand.h $RPM_BUILD_ROOT%{l_prefix}/include/
    %{l_shtool} install -c -m 644 \
        src/gjrand.a $RPM_BUILD_ROOT%{l_prefix}/lib/libgjrand.a
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

